## com.lowagie.text
Class Meta

    java.lang.Object
      com.lowagie.text.Meta

All Implemented Interfaces:
  Element, MarkupAttributes

Direct Known Subclasses:
  Header

    public class Meta

extends java.lang.Object
implements Element, MarkupAttributes

This is an `Element` that contains some meta information about the document.

An object of type `Meta` can not be constructed by the user. Userdefined meta information should be placed in a `Header`-object. `Meta` is reserved for: Subject, Keywords, Author, Title, Producer and Creationdate information.

See Also:
  `Element`, `Header`

Field Summary
`private java.lang.StringBuffer` `content` This is the content of the Meta-information.
`protected java.util.Properties` `markupAttributes` Contains extra markupAttributes
`private int` `type` This is the type of Meta-information this object contains.

Constructor Summary
`Meta(int type, java.lang.String content)` Constructs a `Meta`.
`Meta(java.lang.String tag, java.lang.String content)` Constructs a `Meta`.

Method Summary
`java.lang.StringBuffer` `append(java.lang.String string)` appends some text to this `Meta`.
`java.lang.String` `content()` Returns the content of the meta information.
`java.util.ArrayList` `getChunks()` Gets all the chunks in this element.
`java.lang.String` `getMarkupAttribute(java.lang.String name)` Returns the value of the specified attribute.
`java.util.Set` `getMarkupAttributeNames()` Returns a `Set` of `String` attribute names for the `MarkupAttributes` implementor.
`java.util.Properties` `getMarkupAttributes()` Return a `Properties`-object containing all the markupAttributes.
`static int` `getType(java.lang.String tag)` Returns the name of the meta information.
`java.lang.String` `name()` Returns the name of the meta information.
`boolean` `process(ElementListener listener)` Processes the element by adding it (or the different parts) to a `ElementListener`.
`void` `setMarkupAttribute(java.lang.String name, java.lang.String value)` Sets the specified attribute.
`void` `setMarkupAttributes(java.util.Properties markupAttributes)` Sets the markupAttributes.
`int` `type()` Gets the type of the text element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    private int type

  This is the type of Meta-information this object contains.

### content

    private java.lang.StringBuffer content

  This is the content of the Meta-information.

### markupAttributes

    protected java.util.Properties markupAttributes

  Contains extra markupAttributes

Constructor Detail

### Meta

    Meta(int type,
         java.lang.String content)

  Constructs a `Meta`.

  Parameters:
    `type` - the type of meta-information
    `content` - the content

### Meta

    public Meta(java.lang.String tag,
                java.lang.String content)

  Constructs a `Meta`.

  Parameters:
    `tag` - the tagname of the meta-information
    `content` - the content

Method Detail

### process

    public boolean process(ElementListener listener)

  Processes the element by adding it (or the different parts) to a `ElementListener`.

  Specified by:
    `process` in interface `Element`
  Parameters:
    `listener` - the `ElementListener`
  Returns:
    `true` if the element was processed successfully

### type

    public int type()

  Gets the type of the text element.

  Specified by:
    `type` in interface `Element`
  Returns:
    a type

### getChunks

    public java.util.ArrayList getChunks()

  Gets all the chunks in this element.

  Specified by:
    `getChunks` in interface `Element`
  Returns:
    an `ArrayList`

### append

    public java.lang.StringBuffer append(java.lang.String string)

  appends some text to this `Meta`.

  Parameters:
    `string` - a `String`
  Returns:
    a `StringBuffer`

### content

    public java.lang.String content()

  Returns the content of the meta information.

  Returns:
    a `String`

### name

    public java.lang.String name()

  Returns the name of the meta information.

  Returns:
    a `String`

### getType

    public static int getType(java.lang.String tag)

  Returns the name of the meta information.

  Parameters:
    `tag` - iText tag for meta information
  Returns:
    the Element value corresponding with the given tag

### setMarkupAttribute

    public void setMarkupAttribute(java.lang.String name,
                                   java.lang.String value)

  Description copied from interface: `MarkupAttributes`
  Sets the specified attribute.

  Specified by:
    `setMarkupAttribute` in interface `MarkupAttributes`
  Parameters:
    `name` - `String` attribute name.
    `value` - `String` attribute value.
  See Also:
    `MarkupAttributes.setMarkupAttribute(java.lang.String, java.lang.String)`

### setMarkupAttributes

    public void setMarkupAttributes(java.util.Properties markupAttributes)

  Description copied from interface: `MarkupAttributes`
  Sets the markupAttributes.

  Specified by:
    `setMarkupAttributes` in interface `MarkupAttributes`
  Parameters:
    `markupAttributes` - a `Properties`-object containing markupattributes
  See Also:
    `MarkupAttributes.setMarkupAttributes(java.util.Properties)`

### getMarkupAttribute

    public java.lang.String getMarkupAttribute(java.lang.String name)

  Description copied from interface: `MarkupAttributes`
  Returns the value of the specified attribute.

  Specified by:
    `getMarkupAttribute` in interface `MarkupAttributes`
  Parameters:
    `name` - `String` attribute name.
  Returns:
    `String`.
  See Also:
    `MarkupAttributes.getMarkupAttribute(java.lang.String)`

### getMarkupAttributeNames

    public java.util.Set getMarkupAttributeNames()

  Description copied from interface: `MarkupAttributes`
  Returns a `Set` of `String` attribute names for the `MarkupAttributes` implementor.

  Specified by:
    `getMarkupAttributeNames` in interface `MarkupAttributes`
  Returns:
    `Set`.
  See Also:
    `MarkupAttributes.getMarkupAttributeNames()`

### getMarkupAttributes

    public java.util.Properties getMarkupAttributes()

  Description copied from interface: `MarkupAttributes`
  Return a `Properties`-object containing all the markupAttributes.

  Specified by:
    `getMarkupAttributes` in interface `MarkupAttributes`
  Returns:
    `Properties`
  See Also:
    `MarkupAttributes.getMarkupAttributes()`